[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#388324: ITP: opensaml -- C++ library for Security Assertion Markup Language

Package: wnpp
Severity: wishlist
Owner: Russ Allbery <rra@debian.org>

* Package name    : opensaml
  Version         : 1.1a
  Upstream Author : Internet2
* URL             : http://shibboleth.internet2.edu/downloads/
* License         : Apache 2.0
  Programming Lang: C++
  Description     : C++ library for Security Assertion Markup Language

OpenSAML is a set of open source toolkit for implementing the SAML 1.0
and 1.1 specifications.  SAML (Security Assertion Markup Language) is an
XML-based framework for communicating user authentication, entitlement,
and attribute information.  SAML allows entities to make assertions
regarding the identity, attributes, and entitlements of a subject (an
entity that is often a human user) to other entities, such as a partner
organization or another application.

This library is one of the prerequisites for Shibboleth.

Note that RSA Security holds patents they claim cover material in the
OpenSAML 1.0 and 1.1 specifications but has filed a public convenant that
it will not assert any patent claims against OpenSAML implementations.
See <http://www.oasis-open.org/committees/security/ipr.php> for that
statement, which will also be included in the debian/copyright file of the

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Reply to: